# Tests that filters found in ./test-transforms applied to ./input/test.log
# produce a file equal to ./expected/output.log
test:
	sudo rm -rf output/*
	# Start fluentd container, ingesting /input/
	docker-compose up -d
	sleep 4
	docker-compose down
	@diff output/output.log_0.log expected/output.log || (echo "Files don't match" && exit 1)
	@echo "Passed"

